Subject: Re: DNSEXT WG LAst Call: Dnssec OK bit.

From: "David R. Conrad" <[email-masked]>
Date: Thu, 30 Nov 2000 11:33:21 -0800

Mark (and Olafur),

At 12:12 PM 11/30/2000 -0500, Olafur Gudmundsson wrote:
>>Why is an ANY query listed along with SIG, KEY, and NXT? SIG, KEY, and NXT
>>have explicit security context whereas ANY does not. To me, an ANY query
>>is ambiguious at best should have the OK bit set for a RFC2535 response.

Somewhat unparseable sentence.

However, making assumptions on what you meant, there are a couple of ways 
to view DO.  One is that it differentiates between RFC 1035 and RFC 2535 
processing.  Another way to view the DO bit is as you have (I gather), 
namely when cleared, excise all DNSSEC related goop in a response.  I took 
the first approach, and as a result an ANY query should return what is 
available, regardless of whether it is DNSSEC related or not.

Rgds,
-drc

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.